com.informix.util

## Class BuildInformation

- java.lang.Object
- - com.informix.util.BuildInformation

    public class BuildInformation
    extends java.lang.Object

Provides information about the environment used to create a build. This includes:

1. driver version
2. build engine host name
3. build engine id
4. build label
5. build type
6. Jazz repository address

### Constructor Summary

Constructors
Constructor and Description
`BuildInformation()` Creates a build information object from the file buildInformation.properties located in the same package as this class.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getBuildEngineHostName()` Returns the 'buildEngineHostName' entry from the build information properties file as a String.
`java.lang.String` `getBuildEngineId()` Returns the 'buildEngineId' entry from the build information properties file as a String
`java.lang.String` `getBuildLabel()` Returns the 'buildLabel' entry from the build information properties file as a String.
`java.lang.String` `getBuildType()` Returns the 'buildType' entry from the build information properties file as a String.
`java.lang.String` `getRepositoryAddress()` Returns the 'repositoryAddress' entry from the build information properties file as a String.
`java.lang.String` `getVersion()` Returns the 'version' entry from the build information properties file as a String.
`int` `hashCode()`
`static void` `main(java.lang.String[] args)` Prints out the build information.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BuildInformation

    public BuildInformation()

Creates a build information object from the file buildInformation.properties located in the same package as this class. This file is typically generated by the build process and packaged in the JAR output.

### Method Detail

#### main

    public static void main(java.lang.String[] args)

Prints out the build information.

Parameters:
  `args` -

#### getVersion

    public java.lang.String getVersion()

Returns the 'version' entry from the build information properties file as a String.

Returns:
  the 'version' entry from the build information properties file as a String

#### getBuildEngineHostName

    public java.lang.String getBuildEngineHostName()

Returns the 'buildEngineHostName' entry from the build information properties file as a String.

Returns:
  the 'buildEngineHostName' entry from the build information properties file as a String.

#### getBuildEngineId

    public java.lang.String getBuildEngineId()

Returns the 'buildEngineId' entry from the build information properties file as a String

Returns:
  the 'buildEngineId' entry from the build information properties file as a String

#### getBuildLabel

    public java.lang.String getBuildLabel()

Returns the 'buildLabel' entry from the build information properties file as a String.

Returns:
  the 'buildLabel' entry from the build information properties file as a String.

#### getBuildType

    public java.lang.String getBuildType()

Returns the 'buildType' entry from the build information properties file as a String.

Returns:
  the 'buildType' entry from the build information properties file as a String.

#### getRepositoryAddress

    public java.lang.String getRepositoryAddress()

Returns the 'repositoryAddress' entry from the build information properties file as a String.

Returns:
  the 'repositoryAddress' entry from the build information properties file as a String.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`